# Uses of Class
com.logicaldoc.core.task.TaskException

Packages that use TaskException
Package
Description
com.logicaldoc.core.searchengine.indexer
com.logicaldoc.core.task
API to define the basics for the scheduled tasks that are long-running operations you can schedule in several ways

## Uses of TaskException in com.logicaldoc.core.searchengine.indexer

Methods in com.logicaldoc.core.searchengine.indexer that throw TaskException
Modifier and Type
Method
Description
`void`
IndexerTask.`runTask()`

## Uses of TaskException in com.logicaldoc.core.task

Methods in com.logicaldoc.core.task that throw TaskException
Modifier and Type
Method
Description
`void`
AbstractDocumentProcessor.`runTask()`